<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_eb5682848" . "3919e173c6" . "ab772a8fa7" . "d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jd" . "W1lbnQ="), "_9410d17985" . "408ab6a2962" . "e6fdb621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJudGFnL" . "nZlcg=="), "_86e12158655092a983" . "8a837f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcGtnLnB" . "ocA=="), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1zZ" . "w=="), "_7ee25317ffedb4fe27bf0b5036" . "469b94" => base64_decode("Y29tbW9uLnR5cGUuZ" . "m9sZGVy"), "_5fde92609a43c" . "9160462278aec0" . "60406" => base64_decode("Y29tbW9" . "uLnVua2" . "5vd24="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_86e1215" . "8655092a" . "9838a837" . "f6cf6d63" . "9"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_86e12158655" . "092a9838a837" . "f6cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7ee25317ffedb4fe27bf" . "0b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_eb56828483919e173c6ab7" . "72a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_9410d17985408ab6a" . "2962e6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5fde92609" . "a43c916046" . "2278aec060" . "406"]);
    }
}